Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyototycoon::SharedLibrary Class Reference

Shared library. More...

`#include <ktshlib.h>`

List of all members.

## Public Member Functions
| SharedLibrary ()
| Default constructor.
| ~SharedLibrary ()
| Destructor.
bool | open (const char *path)
| Open a shared library.
bool | close ()
| Close the shared library.
void * | symbol (const char *name)
| Get the pointer to a symbol.

## Detailed Description

Shared library.

## Constructor & Destructor Documentation

kyototycoon::SharedLibrary::SharedLibrary | ( |  | ) |

Default constructor.

kyototycoon::SharedLibrary::~SharedLibrary | ( |  | ) |

Destructor.

## Member Function Documentation

bool kyototycoon::SharedLibrary::open | ( | const char * | path | ) |

Open a shared library.

Parameters:

  path | the path of the shared library file.

Returns:
  true on success, or false on failure.

bool kyototycoon::SharedLibrary::close | ( |  | ) |

Close the shared library.

Returns:
  true on success, or false on failure.

void* kyototycoon::SharedLibrary::symbol | ( | const char * | name | ) |

Get the pointer to a symbol.

Parameters:

  name | the name of the symbol.

Returns:
  the pointer to the symbol, or NULL on failure.